{
  lib,
  pkgs,
  inputs,
}:
(lib.khscodes.mkRust pkgs "${inputs.self}/rust").buildRustPackage {
  crateName = "openbao-helper";
  # Not replacing path for openbao helper as it will execve other processes.
  # Ideally I would like to not touch this process' path at all, perhaps by
  # placing a file along with the compiled binary listing where the programs are located
  # such that no tampering of the ENV can take place. But doing it this way at least
  # it will just suffix the paths.
  replacePath = false;
  runtimeInputs = [
    pkgs.curl
    pkgs.uutils-coreutils-noprefix
    pkgs.openbao
  ];
}
